package com.tax.file.constants;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "constants")
public class FileConstants {
    //第三方token所需信息
    public static String checkRunGetToken = null;
    public static String checkUsername = null;
    public static String checkPassword = null;
    public static String tokenFrom = null;
    public static String nationUrl = null;
    public static String applyCycle = "8";
    public static String nationFilePath = null;
    public static String nationMultiFilePath = null;
    public static String nationIncomePath = null;
    public static String downLoadPreMonth = null;
    public static String downLoadMaxMonth = "60";
    public static String downLoadOnceMonth = "2";
    public static String isDebug = null;
    public static String isTest = "0";
    public static String externalMiniUrl = null;
    public static String preApplyRange = null;
    public static String taxInitUrl = null;
    public static String taxQueryUrl = null;
    public static String taxInitHUrl = null;
    public static String taxInitServerNo = null;
    public static String systemName = null;
    public static Integer beyondTaxNationDay = 3;
    public static Integer pastDataDay = 60;
    public static Integer publishNo = null;
    public static Integer pageNum = 1000;

    public static String ddAccessToken = null;
    public static String ddUrl = null;
    public static String ddSecret = null;

    public static String reportInitFlag = null;
    public static String reportStartDate = null;

    public static Integer pageSize = 200;

    public static String resetDay = null;

    public  void setCheckRunGetToken(String checkRunGetToken) {
        FileConstants.checkRunGetToken = checkRunGetToken;
    }

    public  void setCheckUsername(String checkUsername) {
        FileConstants.checkUsername = checkUsername;
    }

    public  void setCheckPassword(String checkPassword) {
        FileConstants.checkPassword = checkPassword;
    }

    public  void setTokenFrom(String tokenFrom) {
        FileConstants.tokenFrom = tokenFrom;
    }

    public  void setNationUrl(String nationUrl) {
        FileConstants.nationUrl = nationUrl;
    }

    public  void setApplyCycle(String applyCycle) {
        FileConstants.applyCycle = applyCycle;
    }

    public  void setNationFilePath(String nationFilePath) {
        FileConstants.nationFilePath = nationFilePath;
    }

    public  void setDownLoadPreMonth(String downLoadPreMonth) {
        FileConstants.downLoadPreMonth = downLoadPreMonth;
    }

    public String getDownLoadMaxMonth() {
        return downLoadMaxMonth;
    }

    public void setDownLoadMaxMonth(String downLoadMaxMonth) {
        FileConstants.downLoadMaxMonth = downLoadMaxMonth;
    }

    public  void setIsDebug(String isDebug) {
        FileConstants.isDebug = isDebug;
    }

    public  void setIsTest(String isTest) {
        FileConstants.isTest = isTest;
    }

    public  void setExternalMiniUrl(String externalMiniUrl) {
        FileConstants.externalMiniUrl = externalMiniUrl;
    }

    public  void setPreApplyRange(String preApplyRange) {
        FileConstants.preApplyRange = preApplyRange;
    }

    public static boolean isDebug(){
        return "1".equalsIgnoreCase(isDebug);
    }

    public boolean isTest(){
        return "1".equalsIgnoreCase(isTest);
    }

    public  void setSystemName(String systemName) {
        FileConstants.systemName = systemName;
    }

    public String getTaxInitUrl() {
		return taxInitUrl;
	}

	public void setTaxInitUrl(String taxInitUrl) {
		FileConstants.taxInitUrl = taxInitUrl;
	}


	public String getTaxInitHUrl() {
		return taxInitHUrl;
	}

	public void setTaxInitHUrl(String taxInitHUrl) {
		FileConstants.taxInitHUrl = taxInitHUrl;
	}

	public String getTaxInitServerNo() {
		return taxInitServerNo;
	}

	public void setTaxInitServerNo(String taxInitServerNo) {
		FileConstants.taxInitServerNo = taxInitServerNo;
	}


    public  void setBeyondTaxNationDay(Integer beyondTaxNationDay) {
        FileConstants.beyondTaxNationDay = beyondTaxNationDay;
    }

    public void setNationIncomePath(String nationIncomePath) {
        FileConstants.nationIncomePath = nationIncomePath;
    }


    public  String getNationMultiFilePath() {
        return nationMultiFilePath;
    }

    public  void setNationMultiFilePath(String nationMultiFilePath) {
        FileConstants.nationMultiFilePath = nationMultiFilePath;
    }



    public boolean isBaiWang(){
        return "B".equalsIgnoreCase(systemName);
    }


    public Integer getPastDataDay() {
        return pastDataDay;
    }

    public  void setPastDataDay(Integer pastDataDay) {
        FileConstants.pastDataDay = pastDataDay;
    }

    public Integer getPublishNo() {
        return publishNo;
    }

    public void setPublishNo(Integer publishNo) {
        FileConstants.publishNo = publishNo;
    }

    public String getDownLoadOnceMonth() {
        return downLoadOnceMonth;
    }

    public void setDownLoadOnceMonth(String downLoadOnceMonth) {
        FileConstants.downLoadOnceMonth = downLoadOnceMonth;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        FileConstants.pageNum = pageNum;
    }

    public String getDdAccessToken() {
        return ddAccessToken;
    }

    public void setDdAccessToken(String ddAccessToken) {
        FileConstants.ddAccessToken = ddAccessToken;
    }

    public String getDdUrl() {
        return ddUrl;
    }

    public void setDdUrl(String ddUrl) {
        FileConstants.ddUrl = ddUrl;
    }

    public String getDdSecret() {
        return ddSecret;
    }

    public void setDdSecret(String ddSecret) {
        FileConstants.ddSecret = ddSecret;
    }

    public String getReportInitFlag() {
        return reportInitFlag;
    }

    public void setReportInitFlag(String reportInitFlag) {
        FileConstants.reportInitFlag = reportInitFlag;
    }

    public String getReportStartDate() {
        return reportStartDate;
    }

    public void setReportStartDate(String reportStartDate) {
        FileConstants.reportStartDate = reportStartDate;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        FileConstants.pageSize = pageSize;
    }

    public String getTaxQueryUrl() {
        return taxQueryUrl;
    }

    public void setTaxQueryUrl(String taxQueryUrl) {
        FileConstants.taxQueryUrl = taxQueryUrl;
    }


    public void setResetDay(String resetDay) {
        FileConstants.resetDay = resetDay;
    }
}
